Bug 206881 - rootpath mode on x86_64 will not generate i386 images
rootpath mode on x86_64 will not generate i386 images
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 14:15 EDT by Eric Harrison
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 14:16:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Harrison 2006-09-17 14:15:03 EDT
Description of problem:
The Stateless Linux Anaconda rootpath mode fails when a x86_64 server attempts
to generate i386 images:
http://fedoraproject.org/wiki/StatelessLinuxCreateImageWithAnacondaRootpath

Anaconda on a x86_64 server will only work with x86_64 repositories, it will not
work with i386 repositories. This breaks the ability to generate Stateless Linux
images for i386 clients.

Attempting to use the i386 version of anaconda on a x86_64 server fails.

setarch i386  does not help.

Thus it is not possible to generate Stateless Linux images for i386 from a
x86_64 server.


Version-Release number of selected component (if applicable):
anaconda-11.1.0.97-1

How reproducible:
Always


Steps to Reproduce:
1. install FC6/devel x86_64
2. run "ANACONDA_PRODUCTPATH="Fedora" anaconda -G -m
ftp://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/os/
--rootpath tmproot/
3. click through the various install screens
4. when package installation starts, it will error saying it can't find
packagname.x86_64
  
Actual results:
anaconda tries to install x86_64 packages from a i386 repository

Expected results:
anaconda install i386 packages from a i386 repository

Additional info:
Comment 1 Jeremy Katz 2006-09-18 13:59:36 EDT
Mark, Bill?
Comment 2 Warren Togami 2006-09-20 13:39:12 EDT
This would be really handy for LTSP integration into Fedora.  We would prefer to
use anaconda to install the thin client chroots instead of a one-off scirpt.
Comment 3 Jeremy Katz 2006-09-20 13:52:19 EDT
Would having a --targetarch argument be sufficient?
Comment 4 Warren Togami 2006-09-20 13:57:53 EDT
Yes.
Comment 5 Jeremy Katz 2006-09-20 14:16:10 EDT
--targetarch=i686 should now work
Comment 6 Warren Togami 2006-09-20 14:37:08 EDT
Will --targetarch=i586 work to pull in the i586 kernel and i386 glibc, etc?
Comment 7 Eric Harrison 2006-09-20 15:33:53 EDT
Just pulled the latest from CVS:


./anaconda 
Traceback (most recent call last):
  File "./anaconda", line 667, in ?
    if opts.targetarch:
AttributeError: Values instance has no attribute 'targetarch'


Comment 8 Warren Togami 2006-09-20 19:19:43 EDT
There doesn't appear to be any new anaconda checked into /cvs/dist (Core CVS)
today, so this might have gone into the "upstream" source CVS of anaconda
itself.  Which CVS did you refer to?

(And in response to my previous question, Jeremy said that --targetarch=i586
should do as expected.)
Comment 9 Eric Harrison 2006-09-20 19:34:23 EDT
From http://fedora.redhat.com/projects/anaconda-installer/

export CVSROOT=:pserver:anonymous@rhlinux.redhat.com:/usr/local/CVS
cvs -z3 login
cvs -z3 co anaconda


anaconda/Changelog says five checkins today, I'd assume that is the
latest-n-greatest.

I'll check the devel packages tomorrow. 

This is working great on my i386 server ;-)
Comment 10 Eric Harrison 2006-09-21 12:46:49 EDT
Today's CVS is working just fine from a x86_64 server. Thanks!

I dumped my test x86_64 packages here, for anyone that wants to test w/o
building from CVS:  http://k12linux.mesd.k12.or.us/K12LTSP/devel/



Note You need to log in before you can comment on or make changes to this bug.